<div class="container">
    <div class="row justify-content-center margin-bottom-50px">
        <h4>Dashboard</h4>
    </div>
    <form (ngSubmit)="fetch()" [formGroup]="form">
        <mat-form-field class="col-lg-4">
            <input [matDatepicker]="since" autocomplete="off" formControlName="since" matInput
                   placeholder="Since" [disableControl]="this.requestPending()">
            <mat-datepicker-toggle [for]="since" matSuffix></mat-datepicker-toggle>
            <mat-datepicker #since></mat-datepicker>
        </mat-form-field>
        <mat-form-field class="col-lg-4">
            <input [matDatepicker]="until" autocomplete="off" formControlName="until" matInput
                   placeholder="Until" [disableControl]="this.requestPending()">
            <mat-datepicker-toggle [for]="until" matSuffix></mat-datepicker-toggle>
            <mat-datepicker #until></mat-datepicker>
        </mat-form-field>
        <div class="col-lg-2 col-lg-offset-1" style="display: inline-block !important">
            <button [disabled]="!form.valid || this.requestPending()"
                    mat-raised-button color="primary"
                    class="btn btn-block btn-success"
                    type="submit">Fetch
            </button>
        </div>
    </form>
    <table *ngFor="let expenditureGroup of this.expendituresGroups | keyvalue"
           class="table table-sm table-bordered margin-bottom-50px table-hover">
        <thead class="thead-light">
        <strong class="text-center">{{expenditureGroup.key}}</strong>
        <tr class="d-flex">
            <th class="col-1 text-center"><strong>Price</strong></th>
            <th class="col-5 text-center"><strong>Name</strong></th>
            <th class="col-3 text-center"><strong>Comment</strong></th>
            <th class="col-1 text-center"><strong>Date</strong></th>
            <th class="col-1 text-center"><strong>Edit</strong></th>
            <th class="col-1 text-center"><strong>Delete</strong></th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let expenditure of expenditureGroup.value" class="d-flex">
            <th class="col-1">{{expenditure.price}}</th>
            <th class="col-5">{{expenditure.name}}</th>
            <th class="col-3">{{expenditure.comment}}</th>
            <th class="col-1">{{expenditure.eventDate | date: 'dd MMM'}}</th>
            <th class="col-1 text-center">
                <button class="btn btn-warning btn-xtrasmall"
                        [disabled]="this.requestPending()"
                        routerLink="/expenditure/{{expenditure.id}}">EDIT
                </button>
            </th>
            <th class="col-1 text-center">
                <button (click)="this.deleteExpenditure(expenditure.id)"
                        [disabled]="this.requestPending()"
                        class="btn btn-danger btn-xtrasmall">
                    DELETE
                </button>
            </th>
        </tr>
        </tbody>
    </table>
</div>
